package com.example.autoservice.clients.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import com.example.autoservice.cars.model.CarsEntity;
import com.example.autoservice.clients.model.ClientsEntity;

public interface ClientsRepository extends CrudRepository<ClientsEntity, Long> {
    @Query("select c.id as id " +
            "from CarsEntity c " +
            "where c.client.id = :clientId")
    public List<Long> findAllCarsForClient(Long clientId);
}
