package com.example.autoservice.services.model;

import com.example.autoservice.core.model.BaseEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

@Entity
@Table(name = "services")
public class ServicesEntity extends BaseEntity {
    @Column(nullable = false, unique = false, length = 80)
    private String name;
    @Column(nullable = false, unique = false, length = 10)
    private double price;

    public ServicesEntity(){}

    public ServicesEntity(String name, double price){
        this.name = name;
        this.price = price;
    }

    public String getName(){
        return name;
    }

    public void setName(String name){
        this.name = name;
    }

    public double getPrice(){
        return price;
    }

    public void setPrice(double price){
        this.price = price;
    }
}
